DECLARE @String varchar ( max ) 

SET @String = 'abc' ; 

SELECT 
substring ( @String , 1 + Number , 1 ) [char] , 
numberAS [ArrayIndex] 
FROM master..spt_values 
WHERE Number < datalength ( @String ) 
AND type = 'P' ; 

/*Create sampletable*/ 

IF object_id ( 'tempdb..#Text' , 'U' ) IS NOT NULL 
DROP TABLE #Test; 

CREATE TABLE #Test 
( 
    IDINT IDENTITY ( 1 , 1 ) , 
    PhraseVARCHAR ( 255 ) 
) 
; 

/*Populate thetable with sample data*/ 
INSERT #Test 
( Phrase ) 
VALUES 
( 'CHICAGO' ) , 
( 'NEW YORK' ) , 
( 'HOUSTON' ) , 
( 'SAN FRANCISCO' ) ; 

/*Thisis the final solution*/ 
; 
WITH base 
AS 
( 
    SELECT 
    L. [char] , 
    T.ID , 
    T.Phrase 
    FROM #Test T CROSS APPLY 
    ( 
        SELECT substring ( T.Phrase , 1 + Number , 1 ) [char] FROM master..spt_values 
        WHERE Number < datalength ( T.Phrase ) 
        AND type = 'P' 
    ) 
    L 
) 
SELECT DISTINCT 
b1.Phrase , 
replace 
( 
    ( 
        SELECT '' + [char] FROM base b2 WHERE b1.Phrase = b2.Phrase 
        ORDER BY [char] FOR 
        XML PATH ( '' ) 
    ) , ' ' , ' ' 
) 
AS columns2 
FROM baseAS b1;